# Fetch agent details & categories

### **Agent Fetch**

Retrieve agent information using unique identifiers (agent\_uuid).

**Payload Example**

<pre class="language-python"><code class="lang-python">fetch_payload = {
    "groc_account_id": "your_account_id",
    "agent_uuid": register_payload["agent_uuid"],  # Use the UUID from the registration payload
    "uname": "agent_smith"
}
<strong>
</strong></code></pre>

**Example Code**

```python
# Fetch agent details
fetch_payload = {
    "groc_account_id": "your_account_id",
    "agent_uuid": register_payload["agent_uuid"],  # Use the UUID from the registration payload
    "uname": "agent_smith"
}
fetch_response = agent.agent_fetch(fetch_payload)
print("Agent Fetch Response:", fetch_response)

```

Example Response

```python
Agent data: {'message': 'Agent details fetched successfully', 'Agent Details': {'agent_uuid': '93f7cc86-ea63-4946-9116-54782e14d762', 'agent_name': 'Coding Agent from Replit', 'agent_logo_url': 'https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcSZ3IvhxvlW1ttoFXT4CrgCqZNlQN7IbrK6og&s', 'agent_description': 'A coding agent which can convert any language code to another language', 'agent_code': '<script id="cartesian-sdk" src="https://assets-cartesian.plotch.io/js/pwa/cartesian-web-sdk-17072024', 'status': 'active', 'agent_url': 'https://replit.com/agentchat', 'country': 'India', 'valid_from': '2024-08-31 08:18:39', 'valid_until': '2024-08-31 08:18:39', 'agent_category': 'Coding Agents', 'signing_public_key': '6767899-eye232-hg21bb-1', 'encr_public_key': '6767899-eye232-hg21bb-1', 'created': '2024-08-31 00:00:00', 'updated': '2024-08-31 00:00:00', 'organization': 'Platiga Technology Pvt Ltd'}}
```

### Fetch Categories of Agent

Fetches a list of available agent categories from Agentlake.

Example Code

```python
# Fetch category list
category_response = agent.category_list_fetch()
print("Category List Response:", category_response)
```

Example Response

```python
Agent Categories: {'categories': ['Shopping Agents', 'ERP Agents', 'Social Agents', 'AI Voice Agents', 'Customer Service Agents', 'Recruitment Agents', 'Translation Agents', 'Marketing Agents', 'Image Agents', 'Video Agents', 'Coding Agents', 'Web Scraping Agents']}
```

***

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.groclake.ai/lakes/agent-management-and-deployment/agentlake/markdown-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
